package com.bonus.canteen.device.mapper;

import java.util.List;
import com.bonus.canteen.device.domain.DeviceInfo;

/**
 * 设备资料Mapper接口
 * 
 * @author xsheng
 * @date 2025-04-03
 */
public interface DeviceInfoMapper {
    /**
     * 查询设备资料
     * 
     * @param deviceId 设备资料主键
     * @return 设备资料
     */
    public DeviceInfo selectDeviceInfoByDeviceId(Long deviceId);

    /**
     * 查询设备资料列表
     * 
     * @param deviceInfo 设备资料
     * @return 设备资料集合
     */
    public List<DeviceInfo> selectDeviceInfoList(DeviceInfo deviceInfo);

    /**
     * 新增设备资料
     * 
     * @param deviceInfo 设备资料
     * @return 结果
     */
    public int insertDeviceInfo(DeviceInfo deviceInfo);

    /**
     * 修改设备资料
     * 
     * @param deviceInfo 设备资料
     * @return 结果
     */
    public int updateDeviceInfo(DeviceInfo deviceInfo);

    /**
     * 删除设备资料
     * 
     * @param deviceId 设备资料主键
     * @return 结果
     */
    public int deleteDeviceInfoByDeviceId(Long deviceId);

    /**
     * 批量删除设备资料
     * 
     * @param deviceIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceInfoByDeviceIds(Long[] deviceIds);
}
